Bug 1820772 (CVE-2020-1934) - CVE-2020-1934 httpd: mod_proxy_ftp use of uninitialized value
Summary: CVE-2020-1934 httpd: mod_proxy_ftp use of uninitialized value
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-1934
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1823262 1823263 1820776 1823264
Blocks: 1820777
TreeView+ depends on / blocked
 
Reported: 2020-04-03 20:38 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-07-12 18:45 UTC (History)
26 users (show)

Fixed In Version: httpd 2.4.42
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Apache's HTTP server (httpd) .The mod_proxy_ftp module may use uninitialized memory with proxying to a malicious FTP server. The highest threat from this vulnerability is to data confidentiality.
Clone Of:
Environment:
Last Closed: 2020-06-22 17:20:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2644 None None None 2020-06-22 12:26:57 UTC
Red Hat Product Errata RHSA-2020:2646 None None None 2020-06-22 13:08:57 UTC

Description Guilherme de Almeida Suckevicz 2020-04-03 20:38:04 UTC
In Apache HTTP Server 2.4.0 to 2.4.41, mod_proxy_ftp may use uninitialized memory when proxying to a malicious FTP server.

Reference:
https://httpd.apache.org/security/vulnerabilities_24.html

Comment 1 Guilherme de Almeida Suckevicz 2020-04-03 20:39:46 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1820776]

Comment 5 Huzaifa S. Sidhpurwala 2020-04-13 04:38:18 UTC
External References:

https://httpd.apache.org/security/vulnerabilities_24.html

Comment 6 Huzaifa S. Sidhpurwala 2020-04-13 04:42:38 UTC
Upstream patch: https://svn.apache.org/viewvc?view=revision&revision=1873745

Comment 17 Huzaifa S. Sidhpurwala 2020-04-24 09:54:46 UTC
Statement:

This flaw is caused by use of an uninitialized memory variable. Practically this has no impact, but in some corner cases it is possible that the contents of this variable could be read by a remote process, causing loss of confidentiality as a result of this. There is no evidence of code execution.

Comment 19 errata-xmlrpc 2020-06-22 12:26:53 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2020:2644 https://access.redhat.com/errata/RHSA-2020:2644

Comment 20 errata-xmlrpc 2020-06-22 13:08:54 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2020:2646 https://access.redhat.com/errata/RHSA-2020:2646

Comment 21 Product Security DevOps Team 2020-06-22 17:20:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-1934


Note You need to log in before you can comment on or make changes to this bug.